close all;                            % 모든 생성된 창을 닫음 
clear all;                            % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                  % 명령(command) 창을 비움

t=-1:0.01:3;                          % 파형의 시간축 설정
A=1;                                  % 진폭 값 설정
f0=[1 2 3];                           % 주파수 값 설정 
x1=A*cos(2*pi*f0(1)*t);               % 주파수가 1인 정현파 생성
x2=A*cos(2*pi*f0(2)*t);               % 주파수가 2인 정현파 생성
x3=A*cos(2*pi*f0(3)*t);               % 주파수가 3인 정현파 생성

subplot(3,1,1)                        % 3행 1열 분할 그림 창의 1번 창
plot(t,x1)                            % 주파수가 1인 정현파 그림
axis([-1 3 -1.2 1.2]);                % x축(-1∼3)과 y축(-1.2∼1.2)의 영역을 설정
subplot(3,1,2)                        % 3행 1열 분할 그림 창의 2번 창
plot(t,x2)                            % 주파수가 2인 정현파 그림
axis([-1 3 -1.2 1.2]);                % x축(-1∼3)과 y축(-1.2∼1.2)의 영역을 설정
subplot(3,1,3)                        % 3행 1열 분할 그림 창의 3번 창
plot(t,x3)                            % 주파수가 3인 정현파 그림
axis([-1 3 -1.2 1.2]);                % x축(-1∼3)과 y축(-1.2∼1.2)의 영역을 설정